Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.bruteforce
Class BruteForceStepScope

    java.lang.Object
      org.drools.planner.core.phase.step.AbstractStepScope
          org.drools.planner.core.bruteforce.BruteForceStepScope

    public class BruteForceStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.drools.planner.core.phase.step.AbstractStepScope
`bestScoreImproved, clonedSolution, score, solutionInitialized, stepIndex`

Constructor Summary
`BruteForceStepScope(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)`

Method Summary
`BruteForceSolverPhaseScope` | `getBruteForceSolverPhaseScope()`
`AbstractSolverPhaseScope` | `getSolverPhaseScope()`

Methods inherited from class org.drools.planner.core.phase.step.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getStepIndex, getWorkingMemory, getWorkingRandom, getWorkingSolution, isSolutionInitialized, setBestScoreImproved, setClonedSolution, setScore, setSolutionInitialized, setStepIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BruteForceStepScope

    public BruteForceStepScope(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)

Method Detail

### getBruteForceSolverPhaseScope

    public BruteForceSolverPhaseScope getBruteForceSolverPhaseScope()

### getSolverPhaseScope

    public AbstractSolverPhaseScope getSolverPhaseScope()

  Specified by:
    `getSolverPhaseScope` in class `AbstractStepScope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.